List v2 Design Kits
GET
https://api.slidespeak.co/api/v2/presentation/design-kits
Returns design kits that can be used with v2 presentation generation. Pass one of the returned
id values as settings.design_kit_id when generating a presentation.
New to design kits? See Design Kits for what they are and how they shape your presentation.
Headers
Section titled “Headers” X-API-Key: string
The API key to use for the request.
Code Examples
Section titled “Code Examples”curl -X GET "https://api.slidespeak.co/api/v2/presentation/design-kits" -H "X-API-Key: YOUR_API_KEY"const response = await fetch('https://api.slidespeak.co/api/v2/presentation/design-kits', { method: 'GET', headers: { 'X-API-Key': 'YOUR_API_KEY' }});
const data = await response.json();console.log(data.design_kits);import requests
url = "https://api.slidespeak.co/api/v2/presentation/design-kits"headers = {"X-API-Key": "YOUR_API_KEY"}
response = requests.get(url, headers=headers)print(response.json()["design_kits"])<?phprequire 'vendor/autoload.php';
use GuzzleHttp\Client;
$client = new Client();
$response = $client->get('https://api.slidespeak.co/api/v2/presentation/design-kits', [ 'headers' => [ 'X-API-Key' => 'YOUR_API_KEY' ]]);
$data = json_decode($response->getBody(), true);print_r($data['design_kits']);Response
Section titled “Response”{ "design_kits": [ { "id": "dk_acme", "name": "Acme Brand", "preview_urls": [ "https://slidespeak-design-kit-assets.s3.amazonaws.com/dk_acme/thumbnails/cover.webp" ] }, { "id": "dk_investor_modern", "name": "Modern Investor", "preview_urls": [] } ]}